CIFSIOSTAT(1)

NUME
cifsiostat - raportează statisticile CIFS

SINOPSIS
cifsiostat [ -h ] [ -k | -m ] [ -t ] [ -V ] [ --dec={ 0 | 1 | 2 } ] [ --human ] [ --pretty ] [ interval [ count ] ]

DESCRIERE
Comanda cifsiostat afișează statistici despre operațiile de citire și scriere pe sistemele de fișiere CIFS.

Parametrul interval specifică intervalul de timp în secunde dintre fiecare raport. Primul raport conține statistici pentru timpul scurs de la pornirea sistemului (boot). Fiecare raport ulterior conține statisticile colectate în intervalul de timp de la raportul anterior. Un raport este format dintr-un rând de antet CIFS urmat de un rând de statistici pentru fiecare sistem de fișiere CIFS montat. Parametrul count poate fi specificat împreună cu parametrul interval . Dacă se specifică parametrul count, valoarea lui count determină numărul de rapoarte generate la interval de interval secunde. Dacă parametrul interval este specificat fără parametrul count, comanda cifsiostat generează rapoarte în mod continuu.

RAPORT
Raportul CIFS oferă statistici pentru fiecare sistem de fișiere CIFS montat. Raportul afișează următoarele câmpuri:

Sistemul de fișiere:
    Această coloană arată punctul de montare al sistemului de fișiere CIFS.

rB/s (rkB/s, rMB/s)
    Indică numărul mediu de octeți (kiloocteți, megaocteți) citiți pe secundă.

wB/s (wkB/s, wMB/s)
    Indică numărul mediu de octeți (kiloocteți, megaocteți) scriși pe secundă.

rop/s
    Indică numărul de operații de citire „read” care au fost efectuate în sistemul de fișiere pe secundă.

wop/s
    Indică numărul de operații de scriere „write” care au fost efectuate în sistemul de fișiere pe secundă.

fo/s
    Indică numărul de fișiere deschise pe secundă.

fc/s
    Indică numărul de fișiere închise pe secundă.

fd/s
    Indică numărul de fișiere șterse pe secundă.

OPȚIUNI

--dec={ 0 | 1 | 2 }
    Specifică numărul de zecimale care trebuie utilizate (de la 0 la 2, valoarea implicită este 2).

-h  Această opțiune este echivalentă cu specificarea --human --pretty.

--human
    Afișează dimensiunile în format lizibil pentru oameni (de exemplu, 1.0k, 1.2M etc). Unitățile afișate cu această opțiune înlocuiesc orice alte unități implicite (de exemplu, kilobiți, sectoare...) asociate cu valorile metrice.

-k  Afișează statisticile în kiloocteți pe secundă.

-m  Afișează statisticile în megaocteți pe secundă.

--pretty
    Face raportul CIFS mai ușor de citit de către un om.

-t  Imprimă ora pentru fiecare raport afișat. Formatul mărcii temporale poate depinde de valoarea variabilei de mediu S_TIME_FORMAT (a se vedea mai jos).

-V  Afișează numărul versiunii, apoi iese.

MEDIU
Comanda cifsiostat ține cont de următoarele variabile de mediu:

S_COLORS
    În mod implicit, statisticile sunt afișate în culori atunci când ieșirea este conectată la un terminal. Utilizați această variabilă pentru a modifica configurarea. Valorile posibile pentru această variabilă sunt never, always sau auto (aceasta din urmă este echivalentă cu valoarea implicită).
    Rețineți că culoarea (fie ea roșie, galbenă sau de altă culoare) utilizată pentru a afișa o valoare nu indică niciun fel de problemă doar din cauza culorii. Aceasta indică doar diferite intervale de valori.

S_COLORS_SGR
    Specifică culorile și alte atribute utilizate pentru a afișa statisticile pe terminal. Valoarea sa este o listă de capacități separate prin două puncte care are ca valoare implicită I=32;22:N=34;1:Z=34;22. Capacitățile acceptate sunt:

    I=  Subșirul SGR pentru numele sistemelor de fișiere.

    N=  Subșirul SGR pentru valorile statistice care nu sunt egale cu zero.

    Z=  Subșirul SGR pentru valori zero.

S_TIME_FORMAT
    Dacă această variabilă există și valoarea ei este ISO, atunci nu se va ține cont de configurația regională curentă la imprimarea datei în antetul raportului. Comanda cifsiostat va utiliza în schimb formatul ISO 8601 (AAAA-LL-ZZ). Marca temporală afișată cu opțiunea -t va fi, de asemenea, conformă cu formatul ISO 8601.

HIBĂ
sistemul de fișiere /proc trebuie să fie montat pentru ca cifsiostat să funcționeze.

Deși cifsiostat vorbește de kiloocteți (ko), megaocteți (Mo)..., el folosește de fapt kibocteți (kio), mebiocteți (Mio)... Un kibioctet este egal cu 1024 octeți, iar un mebioctet este egal cu 1024 kibiocteți.

FILE
/proc/fs/cifs/Stats conține statisticile CIFS.

AUTORI
Scris de Ivana Varekova (varekova <at> redhat.com)
Menținut de Sebastien Godard (sysstat <at> orange.fr)

CONSULTAȚI ȘI
sar(1), pidstat(1), mpstat(1), vmstat(8), iostat(1), tapestat(1), nfsiostat(1)

https://github.com/sysstat/sysstat
https://sysstat.github.io/

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.